// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#ifndef _DATA_TYPE_
#define _DATA_TYPE_

typedef unsigned char BYTE ;
typedef char          SBYTE;

// Stepper motor data type
typedef struct {
    BYTE  ControlSignals   ;     // control signal register
    SBYTE AngleCounter     ;     // angle counter register (-/+) value
    BYTE  LeftAnglePreset  ;     // max left  stepper motor angle
    BYTE  RightAnglePreset ;     // max right stepper motor angle
} STEPPER_MOTOR_DATA_TYPE;

#endif