// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "DataTypes.h"

#ifndef _STATE_ABSTRACT_
#define _STATE_ABSTRACT_

// State abstraction
typedef struct {
    // Properties:
    BYTE IsDTAllowed ;  // to do: optimization!
    BYTE IsTPSAllowed;  // to do: optimization!
    // Methods:
    void (*StateInitialization) ( void* );
    void (*DefaultStateMethod)  ( void* );
    void (*InterruptHandler)    ( void* );
} StateAbstract;

#endif